#include <LiquidCrystal.h>

int x;
int t;
int i;
int plu10 = 8;
int plu1 = 9;
int enter = 10;
int min1 = 11;
int min10 = 12;
LiquidCrystal lcd(2, 3, 4, 5, 6, 7);  

void setup(){
  pinMode(min10, INPUT_PULLUP);
  pinMode(min1, INPUT_PULLUP);
  pinMode(enter, INPUT_PULLUP);
  pinMode(plu1, INPUT_PULLUP);
  pinMode(plu10, INPUT_PULLUP);
  lcd.begin(16,2); 
  lcd.clear();
  randomSeed(analogRead(0));
}

void loop(){
  x = random(1000);
  t = 500;
  i = 0;
  lcd.setCursor(0,0);
  lcd.print("x=???  Tipp:");
  tippanzeige(t);
  lcd.setCursor(0,1);
  lcd.print("<<  <  **  >  >>");
  while(t != x){
    while(digitalRead(enter) == LOW){ 
      if(digitalRead(min10) == HIGH){
        t -= 10;
        if(t < 1){
          t = 1;
        }
        tippanzeige(t);
      }
      if(digitalRead(min1) == HIGH){
        t -= 1;
        if(t < 1){
          t = 1;
        }
        tippanzeige(t);
      }
      if(digitalRead(plu1) == HIGH){
        t += 1;
        if(t > 999){
          t = 999;
        }
        tippanzeige(t);
      }
      if(digitalRead(plu10) == HIGH){
        t += 10;
        if(t > 999){
          t = 999;
        }
        tippanzeige(t);
      }
    delay(200);  
    }
    if(x > t){
      erganzeige('>', t);
      i ++;
    }
    if(x < t){
      erganzeige('<', t);
      i ++;
    }
  }
  erganzeige('=', t);
  lcd.print(i);
  lcd.print(" Tipps   ");
  delay(500);
  while(digitalRead(enter) == LOW){ 
    lcd.setCursor(0,1);
    lcd.print("****************");
    delay(200);    
    lcd.setCursor(0,1);
    lcd.print("                ");
    delay(200);
  } 
  delay(500);
}

void tippanzeige(int z){
  lcd.setCursor(12,0);
  lcd.print(z);
  lcd.print("  ");
}

void erganzeige(char d1, int d2){
  for(int j = 0; j < 3; j++){
    lcd.setCursor(0,0);
    lcd.print("       ");
    delay(200);    
    lcd.setCursor(0,0);
    lcd.print("x");
    lcd.print(d1);
    lcd.print(d2);
    lcd.print("  ");
    delay(200);    
  }
}

