#include <LiquidCrystal.h>

LiquidCrystal lcd(2, 3, 4, 5, 6, 7);  
String text = "";
char z;
char ae = char(225);
char oe = char(239);
char ue = char(245);
char ss = char(226);

byte AE[8] = {
  B01010,
  B00000,
  B00100,
  B01010,
  B10001,
  B11111,
  B10001,
  B10001
};

byte OE[8] = {
  B01010,
  B00000,
  B01110,
  B10001,
  B10001,
  B10001,
  B10001,
  B01110
};

byte UE[8] = {
  B01010,
  B00000,
  B10001,
  B10001,
  B10001,
  B10001,
  B10001,
  B01110
};

void setup() {
  lcd.createChar(1, AE);
  lcd.createChar(2, OE);
  lcd.createChar(3, UE);
  lcd.begin(16, 2); 
  Serial.begin(9600);
  Serial.println("Text eingeben (max. 16 Zeichen):");
}

void loop() {
  if (Serial.available()) {
    delay(100);
    lcd.clear();
    text = "";
    while (Serial.available() > 0) {
      z = Serial.read();
      text += z;
    }
    Serial.println(text);
    lcd.setCursor(0,0);
    lcd.print(text);
    lcd.setCursor(0,1);
    umlaute(text);
  }
}

void umlaute(String t) {
  t.replace(char(228), ae);
  t.replace(char(246), oe);
  t.replace(char(252), ue);
  t.replace(char(223), ss);
  t.replace(char(196), byte(1));
  t.replace(char(214), byte(2));
  t.replace(char(220), byte(3));
  lcd.print(t);
}

