// led thermometer

byte ledPin[] = {2,3,4,5,6,7,8,9,10,11};
byte ADC0 = 0;
int ADC_value;
int delta = 1;
int offset = 20;
float temperatureC;    // temperature in °C


void setup() 
{ // all LED pins as outputs and LEDs off
  for (int i=0; i<10; i++) 
    pinMode(ledPin[i], OUTPUT);
}

void loop() 
{ ADC_value = analogRead(ADC0); 
  temperatureC = -1/0.0372*log(4.7/12.975*(1023.0/ADC_value-1.0)); 

  for (int i=0; i<10; i++)         // activate LEDs
  {  if ((temperatureC >= (i*delta+offset)) && (temperatureC <= ((i+1)*delta+offset)))
     {  digitalWrite(ledPin[i], HIGH); 
        delay(10);
        digitalWrite(ledPin[i], LOW); 
     }
   } 
} 

