// temperature measurement using log converion for NTC
// P5V to 4k7 NTC temperature sensor @ ADC0, 4k7 to GND

int ADC_value;
float temperatureC;    // temperature in °C

void setup()  
{ 
  pinMode(13, OUTPUT);
  Serial.begin(9600);
} 

void loop()  
{  ADC_value=analogRead(0);

   temperatureC = 26.882*log(12.975/(4.7*(1023.0/ADC_value-1.0))); 
     
   Serial.print("Temp = "); Serial.print(temperatureC,1); 
   Serial.println("    ");
   delay(1000);
} 

