// robotic moover

#include <Servo.h> 

Servo xservo;  	   // create x-servo object
int xpos = 0;  	   // servo position 

Servo yservo;  	   // create x-servo object
int ypos = 0;  	   // servo position 

int minpos = 45, midpos =  90, maxpos =  135;
int deltaH = 15, deltaV = 20;

void setup() 
{ xservo.attach(6);  // attaches the servo on pin 6 to the servo object 
  yservo.attach(9);  // attaches the servo on pin 9 to the servo object 
} 
 
void loop() 
  
{ // arm right 
  for(xpos = maxpos; xpos >= (minpos+deltaV); xpos--)   
  { xservo.write(xpos); delay(15);                       
  } 
  
  // arm up a bit
  for(ypos = maxpos; ypos >= (maxpos-deltaH); ypos--)  
  { yservo.write(ypos); delay(15); 
  }

  // arm right a bit
  for(xpos = (minpos+deltaV); xpos >= minpos; xpos--)   
  { xservo.write(xpos); delay(15);                       
  } 

  // arm down
  for(ypos = (maxpos-deltaH); ypos < maxpos; ypos++)
  { yservo.write(ypos); delay(15);    
  } 
  
  // arm left 
  for(xpos = minpos; xpos <= (maxpos-deltaV); xpos++)   
  { xservo.write(xpos); delay(15);                       
  }

  // arm up a bit
  for(ypos = maxpos; ypos >= (maxpos-deltaH); ypos--)  
  { yservo.write(ypos); delay(15); 
  }

  // arm left a bit
  for(xpos = (maxpos-deltaV); xpos <= maxpos; xpos++)   
  { xservo.write(xpos); delay(15);                       
  } 

  // arm down
  for(ypos = (maxpos-deltaH); ypos < maxpos; ypos++)
  { yservo.write(ypos); delay(15);    
  } 
}
