// camera tilt pan

#include <Servo.h> 

Servo xservo;           	   // create x-servo object
int xpos = 0;           	   // servo position 

Servo yservo;           	   // create x-servo object
int ypos = 0;           	   // servo position 

int minpos = 45, midpos =  90, maxpos =  135;

int delayX = 50, delayY = 50;
 
void setup() 
{ xservo.attach(6);  // attaches the servo on pin 6 to the servo object 
  yservo.attach(9);  // attaches the servo on pin 9 to the servo object 
} 
 
void loop() 
{ for(ypos = minpos; ypos < maxpos; ypos+=5)  
  { yservo.write(ypos);              
    delay(delayY);                       
    for(xpos = minpos; xpos < maxpos; xpos++)
    { xservo.write(xpos);              
      delay(delayX);                       
    }
    for(xpos = maxpos; xpos>=minpos; xpos--)  
    { xservo.write(xpos);              
      delay(delayX);                       
    } 
    delay(delayY);
  } 
  for(ypos = maxpos; ypos>=minpos; ypos--)   
    { yservo.write(ypos);              
      delay(delayY);                       
    }  
} 
