// Temperature sensor for MEGA-Servo-Display
// using NTC temperature sensor

#include <Servo.h> 
Servo myservo;  
int pos = 0;    

int offset = 28;       // temperatur calibration - offset
float cal = 0.1135;    // temperatur calibration
int ADC0=0;   
int ADC_value;
float temp;
 
void setup() 
{ Serial.begin(9600);
  myservo.attach(9);   
} 
 
void loop() 
{ ADC_value=analogRead(ADC0);
  temp=ADC_value*cal-offset;
  Serial.print("Temp = ");  
  Serial.println(temp,1);

  pos=2*temp+35;       // calculate servo position from temperature
  myservo.write(pos); 
  Serial.print("ServoPos = ");  
  Serial.println(pos);
  delay(100);                      
} 

