/*
  Turtle.h - Minimal implementation of Turtlegraphics(logo) for a ST7565 based 12864 LCD.
  Created by Thomas Baum, th.baum@online.de, 26.11.2014
*/

#ifndef _TURTLE_H_
#define _TURTLE_H_

#if ARDUINO >= 100
 #include "Arduino.h"
#else
 #include "WProgram.h"
#endif

class Turtle {
	public:

		Turtle() {};
                void init(byte contrast);
		void forward(byte distance);
                void back(byte distance);
		void right(byte angle);
                void left(byte angle);
                void home();
                void clean();
                void cleanscreen();
                void penup();
                void pendown();
};

#endif
