// temperature colour change

int ledRed = 5;    
int ledGreen = 6;  
int ledBlue = 3;  

int colorWidth = 800;
int val, fadeValue;

int ADC_value;
float temperatureC;    // temperature in °C

void setup()  
{ } 

void loop()  
{ ADC_value = analogRead(0);
  temperatureC = -1/0.0372*log(4.7/12.975*(1023.0/ADC_value-1.0)); 
  fadeValue = map(temperatureC, 10, 30, 50, 200);
  
  analogWrite(ledRed, 255*exp(-((fadeValue-64)*(fadeValue-	64))/colorWidth));    
     
    analogWrite(ledGreen, 70*exp(-((fadeValue-128)*(fadeValue-	128))/colorWidth)); 

    analogWrite(ledBlue, 200*exp(-((fadeValue-193)*(fadeValue-	193))/colorWidth)); 

    delay(10); 
}


