// light sensitive servo control

#include <Servo.h> 

int analogInPin = A0;  
int sensorValue = 0;   // value read from the pot
Servo xservo;  	       // create x-servo object
int xpos = 0;  	       // servo position 
int minpos = 45, maxpos =  135;

void setup() 
{  Serial.begin(9600); 
   xservo.attach(9);  // attach servo to pin 9 
}

void loop() 
{ sensorValue = analogRead(analogInPin);            
  xpos = map(sensorValue, 0, 1023, minpos, maxpos);  

  // print the results to the serial monitor:
  Serial.print("sensor = " );                       
  Serial.print(sensorValue);      
  Serial.print("\t output = ");      
  Serial.println(xpos);   

  xservo.write(xpos); delay(15); 
}
